org.aspectj.runtime.reflect

## Class Factory

- java.lang.Object
- - org.aspectj.runtime.reflect.Factory

    public final class Factory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Factory(java.lang.String filename, java.lang.Class lexicalClass)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AdviceSignature` `makeAdviceSig(int modifiers, java.lang.String name, java.lang.Class declaringType, java.lang.Class[] parameterTypes, java.lang.String[] parameterNames, java.lang.Class[] exceptionTypes, java.lang.Class returnType)`
`AdviceSignature` `makeAdviceSig(java.lang.String stringRep)`
`AdviceSignature` `makeAdviceSig(java.lang.String modifiers, java.lang.String name, java.lang.String declaringType, java.lang.String paramTypes, java.lang.String paramNames, java.lang.String exceptionTypes, java.lang.String returnType)`
`CatchClauseSignature` `makeCatchClauseSig(java.lang.Class declaringType, java.lang.Class parameterType, java.lang.String parameterName)`
`CatchClauseSignature` `makeCatchClauseSig(java.lang.String stringRep)`
`CatchClauseSignature` `makeCatchClauseSig(java.lang.String declaringType, java.lang.String parameterType, java.lang.String parameterName)`
`ConstructorSignature` `makeConstructorSig(int modifiers, java.lang.Class declaringType, java.lang.Class[] parameterTypes, java.lang.String[] parameterNames, java.lang.Class[] exceptionTypes)`
`ConstructorSignature` `makeConstructorSig(java.lang.String stringRep)`
`ConstructorSignature` `makeConstructorSig(java.lang.String modifiers, java.lang.String declaringType, java.lang.String paramTypes, java.lang.String paramNames, java.lang.String exceptionTypes)`
`static JoinPoint.StaticPart` `makeEncSJP(java.lang.reflect.Member member)`
`JoinPoint.EnclosingStaticPart` `makeESJP(java.lang.String kind, Signature sig, int l)`
`JoinPoint.EnclosingStaticPart` `makeESJP(java.lang.String kind, Signature sig, int l, int c)`
`JoinPoint.EnclosingStaticPart` `makeESJP(java.lang.String kind, Signature sig, SourceLocation loc)`
`FieldSignature` `makeFieldSig(int modifiers, java.lang.String name, java.lang.Class declaringType, java.lang.Class fieldType)`
`FieldSignature` `makeFieldSig(java.lang.String stringRep)`
`FieldSignature` `makeFieldSig(java.lang.String modifiers, java.lang.String name, java.lang.String declaringType, java.lang.String fieldType)`
`InitializerSignature` `makeInitializerSig(int modifiers, java.lang.Class declaringType)`
`InitializerSignature` `makeInitializerSig(java.lang.String stringRep)`
`InitializerSignature` `makeInitializerSig(java.lang.String modifiers, java.lang.String declaringType)`
`static JoinPoint` `makeJP(JoinPoint.StaticPart staticPart, java.lang.Object _this, java.lang.Object target)`
`static JoinPoint` `makeJP(JoinPoint.StaticPart staticPart, java.lang.Object _this, java.lang.Object target, java.lang.Object arg0)`
`static JoinPoint` `makeJP(JoinPoint.StaticPart staticPart, java.lang.Object _this, java.lang.Object target, java.lang.Object[] args)`
`static JoinPoint` `makeJP(JoinPoint.StaticPart staticPart, java.lang.Object _this, java.lang.Object target, java.lang.Object arg0, java.lang.Object arg1)`
`LockSignature` `makeLockSig()`
`LockSignature` `makeLockSig(java.lang.Class declaringType)`
`LockSignature` `makeLockSig(java.lang.String stringRep)`
`MethodSignature` `makeMethodSig(int modifiers, java.lang.String name, java.lang.Class declaringType, java.lang.Class[] parameterTypes, java.lang.String[] parameterNames, java.lang.Class[] exceptionTypes, java.lang.Class returnType)`
`MethodSignature` `makeMethodSig(java.lang.String stringRep)`
`MethodSignature` `makeMethodSig(java.lang.String modifiers, java.lang.String methodName, java.lang.String declaringType, java.lang.String paramTypes, java.lang.String paramNames, java.lang.String exceptionTypes, java.lang.String returnType)`
`JoinPoint.StaticPart` `makeSJP(java.lang.String kind, Signature sig, int l)`
`JoinPoint.StaticPart` `makeSJP(java.lang.String kind, Signature sig, int l, int c)`
`JoinPoint.StaticPart` `makeSJP(java.lang.String kind, Signature sig, SourceLocation loc)`
`JoinPoint.StaticPart` `makeSJP(java.lang.String kind, java.lang.String modifiers, java.lang.String methodName, java.lang.String declaringType, java.lang.String paramTypes, java.lang.String paramNames, java.lang.String returnType, int l)` Create a signature and build a JoinPoint in one step.
`JoinPoint.StaticPart` `makeSJP(java.lang.String kind, java.lang.String modifiers, java.lang.String methodName, java.lang.String declaringType, java.lang.String paramTypes, java.lang.String paramNames, java.lang.String exceptionTypes, java.lang.String returnType, int l)` Create a signature and build a JoinPoint in one step.
`SourceLocation` `makeSourceLoc(int line, int col)`
`UnlockSignature` `makeUnlockSig()`
`UnlockSignature` `makeUnlockSig(java.lang.Class declaringType)`
`UnlockSignature` `makeUnlockSig(java.lang.String stringRep)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory(java.lang.String filename,
                   java.lang.Class lexicalClass)

### Method Detail

#### makeSJP

    public JoinPoint.StaticPart makeSJP(java.lang.String kind,
                                        java.lang.String modifiers,
                                        java.lang.String methodName,
                                        java.lang.String declaringType,
                                        java.lang.String paramTypes,
                                        java.lang.String paramNames,
                                        java.lang.String exceptionTypes,
                                        java.lang.String returnType,
                                        int l)

Create a signature and build a JoinPoint in one step. Prior to 1.6.10 this was done as a two step operation in the generated code but merging these methods in the runtime library enables the generated code to be shorter. Generating code that uses this method requires the weaver to be invoked with `-Xset:targetRuntime1_6_10=true`.

Since:
  1.6.10

#### makeSJP

    public JoinPoint.StaticPart makeSJP(java.lang.String kind,
                                        java.lang.String modifiers,
                                        java.lang.String methodName,
                                        java.lang.String declaringType,
                                        java.lang.String paramTypes,
                                        java.lang.String paramNames,
                                        java.lang.String returnType,
                                        int l)

Create a signature and build a JoinPoint in one step. Prior to 1.6.10 this was done as a two step operation in the generated code but merging these methods in the runtime library enables the generated code to be shorter. Generating code that uses this method requires the weaver to be invoked with `-Xset:targetRuntime1_6_10=true`.

This method differs from the previous one in that it includes no exceptionTypes parameter - it is an optimization for the case where there are no exceptions. The generated code won't build an empty string and will not pass it into here.

Since:
  1.6.10

#### makeSJP

    public JoinPoint.StaticPart makeSJP(java.lang.String kind,
                                        Signature sig,
                                        SourceLocation loc)

#### makeSJP

    public JoinPoint.StaticPart makeSJP(java.lang.String kind,
                                        Signature sig,
                                        int l,
                                        int c)

#### makeSJP

    public JoinPoint.StaticPart makeSJP(java.lang.String kind,
                                        Signature sig,
                                        int l)

#### makeESJP

    public JoinPoint.EnclosingStaticPart makeESJP(java.lang.String kind,
                                                  Signature sig,
                                                  SourceLocation loc)

#### makeESJP

    public JoinPoint.EnclosingStaticPart makeESJP(java.lang.String kind,
                                                  Signature sig,
                                                  int l,
                                                  int c)

#### makeESJP

    public JoinPoint.EnclosingStaticPart makeESJP(java.lang.String kind,
                                                  Signature sig,
                                                  int l)

#### makeEncSJP

    public static JoinPoint.StaticPart makeEncSJP(java.lang.reflect.Member member)

#### makeJP

    public static JoinPoint makeJP(JoinPoint.StaticPart staticPart,
                                   java.lang.Object _this,
                                   java.lang.Object target)

#### makeJP

    public static JoinPoint makeJP(JoinPoint.StaticPart staticPart,
                                   java.lang.Object _this,
                                   java.lang.Object target,
                                   java.lang.Object arg0)

#### makeJP

    public static JoinPoint makeJP(JoinPoint.StaticPart staticPart,
                                   java.lang.Object _this,
                                   java.lang.Object target,
                                   java.lang.Object arg0,
                                   java.lang.Object arg1)

#### makeJP

    public static JoinPoint makeJP(JoinPoint.StaticPart staticPart,
                                   java.lang.Object _this,
                                   java.lang.Object target,
                                   java.lang.Object[] args)

#### makeMethodSig

    public MethodSignature makeMethodSig(java.lang.String stringRep)

#### makeMethodSig

    public MethodSignature makeMethodSig(java.lang.String modifiers,
                                         java.lang.String methodName,
                                         java.lang.String declaringType,
                                         java.lang.String paramTypes,
                                         java.lang.String paramNames,
                                         java.lang.String exceptionTypes,
                                         java.lang.String returnType)

#### makeMethodSig

    public MethodSignature makeMethodSig(int modifiers,
                                         java.lang.String name,
                                         java.lang.Class declaringType,
                                         java.lang.Class[] parameterTypes,
                                         java.lang.String[] parameterNames,
                                         java.lang.Class[] exceptionTypes,
                                         java.lang.Class returnType)

#### makeConstructorSig

    public ConstructorSignature makeConstructorSig(java.lang.String stringRep)

#### makeConstructorSig

    public ConstructorSignature makeConstructorSig(java.lang.String modifiers,
                                                   java.lang.String declaringType,
                                                   java.lang.String paramTypes,
                                                   java.lang.String paramNames,
                                                   java.lang.String exceptionTypes)

#### makeConstructorSig

    public ConstructorSignature makeConstructorSig(int modifiers,
                                                   java.lang.Class declaringType,
                                                   java.lang.Class[] parameterTypes,
                                                   java.lang.String[] parameterNames,
                                                   java.lang.Class[] exceptionTypes)

#### makeFieldSig

    public FieldSignature makeFieldSig(java.lang.String stringRep)

#### makeFieldSig

    public FieldSignature makeFieldSig(java.lang.String modifiers,
                                       java.lang.String name,
                                       java.lang.String declaringType,
                                       java.lang.String fieldType)

#### makeFieldSig

    public FieldSignature makeFieldSig(int modifiers,
                                       java.lang.String name,
                                       java.lang.Class declaringType,
                                       java.lang.Class fieldType)

#### makeAdviceSig

    public AdviceSignature makeAdviceSig(java.lang.String stringRep)

#### makeAdviceSig

    public AdviceSignature makeAdviceSig(java.lang.String modifiers,
                                         java.lang.String name,
                                         java.lang.String declaringType,
                                         java.lang.String paramTypes,
                                         java.lang.String paramNames,
                                         java.lang.String exceptionTypes,
                                         java.lang.String returnType)

#### makeAdviceSig

    public AdviceSignature makeAdviceSig(int modifiers,
                                         java.lang.String name,
                                         java.lang.Class declaringType,
                                         java.lang.Class[] parameterTypes,
                                         java.lang.String[] parameterNames,
                                         java.lang.Class[] exceptionTypes,
                                         java.lang.Class returnType)

#### makeInitializerSig

    public InitializerSignature makeInitializerSig(java.lang.String stringRep)

#### makeInitializerSig

    public InitializerSignature makeInitializerSig(java.lang.String modifiers,
                                                   java.lang.String declaringType)

#### makeInitializerSig

    public InitializerSignature makeInitializerSig(int modifiers,
                                                   java.lang.Class declaringType)

#### makeCatchClauseSig

    public CatchClauseSignature makeCatchClauseSig(java.lang.String stringRep)

#### makeCatchClauseSig

    public CatchClauseSignature makeCatchClauseSig(java.lang.String declaringType,
                                                   java.lang.String parameterType,
                                                   java.lang.String parameterName)

#### makeCatchClauseSig

    public CatchClauseSignature makeCatchClauseSig(java.lang.Class declaringType,
                                                   java.lang.Class parameterType,
                                                   java.lang.String parameterName)

#### makeLockSig

    public LockSignature makeLockSig(java.lang.String stringRep)

#### makeLockSig

    public LockSignature makeLockSig()

#### makeLockSig

    public LockSignature makeLockSig(java.lang.Class declaringType)

#### makeUnlockSig

    public UnlockSignature makeUnlockSig(java.lang.String stringRep)

#### makeUnlockSig

    public UnlockSignature makeUnlockSig()

#### makeUnlockSig

    public UnlockSignature makeUnlockSig(java.lang.Class declaringType)

#### makeSourceLoc

    public SourceLocation makeSourceLoc(int line,
                                        int col)